%global packname  statnet.common
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          4.1.4
Release:          1%{?dist}
Summary:          Common R Scripts and Utilities Used by the Statnet Project Software

License:          GPLv3
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-utils, R-methods, R-coda
# Suggests:  R-covr
# LinkingTo:
# Enhances:

Requires:         R-utils
Requires:         R-methods
Requires:         R-coda
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-utils
BuildRequires:    R-methods
BuildRequires:    R-coda

%description
Non-statistical utilities used by the software developed by the Statnet
Project. They may also be of use to others.


%prep
%setup -q -c -n %{packname}

sed -i '/covr/d' %{packname}/DESCRIPTION

# Duplicate of NEWS.
rm %{packname}/NEWS.md


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%doc %{rlibdir}/%{packname}/CITATION
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Fri Jun 22 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 4.1.4-1
- Update to latest version

* Sat Jun 09 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 4.1.2-1
- Update to latest version

* Fri May 18 2018 Tom Callaway <spot@fedoraproject.org> - 4.0.0-2
- rebuild for R 3.5.0

* Tue Mar 20 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 4.0.0-1
- initial package for Fedora
